<%@ page contentType="text/html; charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<script type="text/javascript">
	function checkSum( form )
	{
		var sum = parseFloat( form.sum.value.replace(",",".") );
		if ( isNaN( sum ) )
		{
			alert( 'Введена некоректная сумма' );
			return false;		
		}
		else if ( sum <= 0 )
		{
			alert( 'Введите сумму больше нуля' );
			return false;		
		}
		return confirm('Вы подтверждаете платеж на сумму - ' + form.sum.value + ' ${currencyTitleMedium}?');
	}
</script>

<table class="tableFont tableWidth">
  <tr>
    <td class="textColor1 backgroundColor3  borderRadius" style="text-align: center; padding: 10px 20px;">
    <h3>Пополните счет c помощью сервиса <a href="http://paymaster.ru/" target="_blank" class="textColor1">PayMaster</a></h3>
	<form action="" method="POST">
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="operation" value="pay" />
		<p>Сумма: <input type="text" name="sum" size="10" style="text-align: center;"/> <button type="submit" onclick="return checkSum( this.form );">Оплатить</button> </p>
	</form></td>
	<td style="width: 20px;">&nbsp;</td>
    <td style="vertical-align: top; text-align: right; padding: 0;"><div class="bgBalanceInformerWidget"></div></td>
  </tr>
</table>

<div style="margin-top: 20px;">
	<form method="GET" action="" id="paymasterListForm" >
		<input type="hidden" name="action" value="${action}">
		<input type="hidden" name="module" value="${module}">
		<input type="hidden" name="mid" value="${mid}">
		<input type="hidden" name="month" value="${dataMap['month']}">
		<input type="hidden" name="year" value="${dataMap['year']}">
		<input type="hidden" name="pageIndex" value="${dataMap['page'].pageIndex}" />
		<input type="hidden" name="pageSize" value="${dataMap['page'].pageSize}" />
	</form>

	<table class="tableFont tableWidth">
	  <tr>
		<td><div class="bgMonthAndYearWidget" formId="paymasterListForm" month="${dataMap['month']}" year="${dataMap['year']}" ></div></td>
		<td style="text-align: right;"><div class="bgPagesWidget" formId="paymasterListForm" recordCount="${dataMap['page'].recordCount}" pageIndex="${dataMap['page'].pageIndex}" pageSize="${dataMap['page'].pageSize}" pageCount="${dataMap['page'].pageCount}" /></td>
	  </tr>
	</table>

	<table class="table tableFont tableWidth" style="border-radius: 20px;">
		<thead>
			<tr>
				<td width="50%">Дата</td>
				<td>Сумма</td>
			</tr>
		</thead>
		<tbody>
		<c:choose>
		<c:when test="${not empty dataMap['paymentList']}">
			<c:forEach var="item" items="${dataMap['paymentList']}">
				<tr>
					<td><fmt:formatDate value="${item.transactionDate}" type="both" dateStyle="MEDIUM" timeStyle="MEDIUM" /> <xsl:value-of select="date" /></td>
					<td><fmt:formatNumber value="${item.sum}" /></td>
				</tr>
			</c:forEach>
		</c:when>
		<c:otherwise>
			<tr><td colspan="2" style="text-align: center;">Записи не найдены.</td></tr>
		</c:otherwise>
		</c:choose>
		</tbody>
	</table>
</div>
